Retrieves a list of nodes
curl --request GET \
--url https://api.comfy.org/nodes/searchimport requests
url = "https://api.comfy.org/nodes/search"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.comfy.org/nodes/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"limit": 123,
"nodes": [
{
"author": "<string>",
"banner_url": "<string>",
"category": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"downloads": 123,
"github_stars": 123,
"icon": "<string>",
"id": "<string>",
"latest_version": {
"changelog": "<string>",
"comfy_node_extract_status": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"dependencies": [
"<string>"
],
"deprecated": true,
"downloadUrl": "<string>",
"id": "<string>",
"node_id": "<string>",
"status_reason": "<string>",
"supported_accelerators": [
"<string>"
],
"supported_comfyui_frontend_version": "<string>",
"supported_comfyui_version": "<string>",
"supported_os": [
"<string>"
],
"tags": [
"<string>"
],
"tags_admin": [
"<string>"
],
"version": "<string>"
},
"license": "<string>",
"name": "<string>",
"preempted_comfy_node_names": [
"<string>"
],
"publisher": {
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"id": "<string>",
"logo": "<string>",
"members": [
{
"id": "<string>",
"role": "<string>",
"user": {
"email": "<string>",
"id": "<string>",
"name": "<string>"
}
}
],
"name": "<string>",
"source_code_repo": "<string>",
"support": "<string>",
"website": "<string>"
},
"rating": 123,
"repository": "<string>",
"search_ranking": 123,
"status_detail": "<string>",
"supported_accelerators": [
"<string>"
],
"supported_comfyui_frontend_version": "<string>",
"supported_comfyui_version": "<string>",
"supported_os": [
"<string>"
],
"tags": [
"<string>"
],
"tags_admin": [
"<string>"
],
"translations": {}
}
],
"page": 123,
"total": 123,
"totalPages": 123
}{
"error": "<string>",
"message": "<string>"
}Registry
Retrieves a list of nodes
Returns a paginated list of nodes across all publishers.
GET
/
nodes
/
search
Retrieves a list of nodes
Query Parameters
Page number of the nodes list
Number of nodes to return per page
Keyword to search the nodes
Keyword to search the nodes by repository URL
Keyword to search the nodes by comfy node name
Filter nodes by supported operating systems
Filter nodes by supported accelerator
Number of nodes to return per page
Was this page helpful?
⌘I